Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Enum cmdReceipt.FiscalTransaction.ReceiptType

java.lang.Object
java.lang.Enum<cmdReceipt.FiscalTransaction.ReceiptType>
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt.FiscalTransaction.ReceiptType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<cmdReceipt.FiscalTransaction.ReceiptType>`, `java.lang.constant.Constable`

Enclosing class:
  cmdReceipt.FiscalTransaction

    public static enum cmdReceipt.FiscalTransaction.ReceiptType
    extends java.lang.Enum<cmdReceipt.FiscalTransaction.ReceiptType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `NonFiscal` |
  `NormalReceipt` |
  `ReceiptIsClosed` |
  `StornoOperatorMistake` |
  `StornoRrefund` |
  `StornoTaxReduction` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static cmdReceipt.FiscalTransaction.ReceiptType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static cmdReceipt.FiscalTransaction.ReceiptType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ReceiptIsClosed

    public static final cmdReceipt.FiscalTransaction.ReceiptType ReceiptIsClosed

  - ### NormalReceipt

    public static final cmdReceipt.FiscalTransaction.ReceiptType NormalReceipt

  - ### StornoOperatorMistake

    public static final cmdReceipt.FiscalTransaction.ReceiptType StornoOperatorMistake

  - ### StornoRrefund

    public static final cmdReceipt.FiscalTransaction.ReceiptType StornoRrefund

  - ### StornoTaxReduction

    public static final cmdReceipt.FiscalTransaction.ReceiptType StornoTaxReduction

  - ### NonFiscal

    public static final cmdReceipt.FiscalTransaction.ReceiptType NonFiscal

- ## Method Details

  - ### values

    public static cmdReceipt.FiscalTransaction.ReceiptType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static cmdReceipt.FiscalTransaction.ReceiptType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null